FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202101090338.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101090338.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.2+7637810 OS_GIT_COMMIT=7637810 OS_GIT_VERSION=4.5.0-202101090338.p0-7637810 SOURCE_DATE_EPOCH=1610142448 SOURCE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 SOURCE_GIT_TAG=7637810f SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/openshift/sriov-network-operator
COPY . .
RUN make _build-sriov-network-config-daemon BIN_PATH=build/_output/cmd
RUN make plugins BIN_PATH=build/_output/pkg

FROM openshift/ose-base:v4.5.0.20210109.040158
ENV __doozer=update BUILD_RELEASE=202101090338.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202101090338.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=16+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.16.2+7637810 OS_GIT_COMMIT=7637810 OS_GIT_VERSION=4.5.0-202101090338.p0-7637810 SOURCE_DATE_EPOCH=1610142448 SOURCE_GIT_COMMIT=7637810f42a401af61095dbed107101beb774170 SOURCE_GIT_TAG=7637810f SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
RUN yum -y update && ARCH_DEP_PKGS=$(if [ "$(uname -m)" != "s390x" ]; then echo -n mstflint ; fi) && yum -y install hwdata $ARCH_DEP_PKGS && yum clean all
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/cmd/sriov-network-config-daemon /usr/bin/
COPY --from=builder /go/src/github.com/openshift/sriov-network-operator/build/_output/pkg/plugins /plugins
COPY bindata /bindata
ENV PLUGINSPATH=/plugins
CMD ["/usr/bin/sriov-network-config-daemon"]

LABEL \
        io.k8s.display-name="OpenShift sriov-network-config-daemon" \
        io.k8s.description="This is a daemon that manage and config sriov network devices in Openshift cluster" \
        io.openshift.tags="openshift,networking,sr-iov" \
        maintainer="Multus team <multus-dev@redhat.com>" \
        name="openshift/ose-sriov-network-config-daemon" \
        com.redhat.component="sriov-network-config-daemon-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202101090338.p0" \
        io.openshift.build.commit.id="7637810f42a401af61095dbed107101beb774170" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/7637810f42a401af61095dbed107101beb774170" \
        version="v4.5.0"

